Public Member Functions | Data Fields

# SignalProgram Struct Reference
[Programmable Signals.]

The actual programmable signal information. More...

`#include <programmable_signals.h>`

## Public Member Functions
| SignalProgram (TileIndex tile, Track track, bool raw=false)
void | DebugPrintProgram ()
## Data Fields
TileIndex | tile
Track | track
SignalSpecial * | first_instruction
SignalSpecial * | last_instruction
InstructionList | instructions

## Detailed Description

The actual programmable signal information.

Definition at line 33 of file programmable_signals.h.

The documentation for this struct was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp